org.apache.lucene.queryParser.standard.config

## Class DateResolutionAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.queryParser.standard.config.DateResolutionAttributeImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DateResolutionAttribute, org.apache.lucene.util.Attribute

      public class DateResolutionAttributeImpl
      extends org.apache.lucene.util.AttributeImpl
      implements DateResolutionAttribute

  This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `DateTools.Resolution` to use when parsing the date.
  See Also:
    `DateResolutionAttribute`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateResolutionAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `copyTo(org.apache.lucene.util.AttributeImpl target)`
    `boolean` | `equals(java.lang.Object other)`
    `org.apache.lucene.document.DateTools.Resolution` | `getDateResolution()`
    `int` | `hashCode()`
    `void` | `setDateResolution(org.apache.lucene.document.DateTools.Resolution dateResolution)` Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateResolutionAttributeImpl

          public DateResolutionAttributeImpl()

  - ### Method Detail

    - #### setDateResolution

          public void setDateResolution(org.apache.lucene.document.DateTools.Resolution dateResolution)

      Description copied from interface: `DateResolutionAttribute`
      Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set. Field specific resolutions can be set with
      Specified by:
        `setDateResolution` in interface `DateResolutionAttribute`
      Parameters:
        `dateResolution` - the default date resolution to set

    - #### getDateResolution

          public org.apache.lucene.document.DateTools.Resolution getDateResolution()

      Specified by:
        `getDateResolution` in interface `DateResolutionAttribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `org.apache.lucene.util.AttributeImpl`

    - #### copyTo

          public void copyTo(org.apache.lucene.util.AttributeImpl target)

      Specified by:
        `copyTo` in class `org.apache.lucene.util.AttributeImpl`

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in class `org.apache.lucene.util.AttributeImpl`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `org.apache.lucene.util.AttributeImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.